Supercede API V2

Download OpenAPI specification:

Introduction

Welcome to the Supercede API reference. This API lets you to programmatically access the Supercede platform.

With the API, you can do things like create layers, publish deals, and market those deals to lists of underwriters on the platform.

Access

Supercede uses API keys to allow access to the API. Access is currently only granted to select organisations. If you do not have an API key and you believe you should, please contact support.

Pagination

Some endpoints are paginated, meaning they do not return the full list of responses on the first request. To query for the next page, copy the contents of the response header Next-Range into the request header Range. If there is no Next-Range header in the response, that means the response contained the final page.

Terminology

To ensure API stability, resources may have a different name in the API than they do in the Supercede web UI. In particular, "risk" and "deal" both refer to what is known as "placement" in the Supercede web UI.

Changelog

The following is a reverse chronological list of changes made to this API since it was first published. The API is evolving through the principle of backwards compatibility, meaning endpoints may be added, and response objects may have fields added to them.

If we need to perform backwards incompatible changes, such as removing fields from response objects, or adding mandatory fields to request objects, both old and new schemata will be supported during a deprecation period, to allow clients time to be updated. Backwards-incompatible changes may be performed with a shorter deprecation period if we are able to verify that no customer relies on that functionality. Such changes will be listed here for reference.

2026-05-28

  • Added loss_ratio_cap field to proportional pricing features. This affects /api/risks/{deal_id}/pricing-features (GET) and /api/risks/{deal_id}/pricing-features/{company_id}/{stamp_name}/{layer_id} (PUT).

2026-05-22

  • Added trigger_type and payout_basis fields to loss warranty. This affects /api/layers, /api/layers-v2 and /api/layers/{layer_id}.

2025-12-30

  • Added signing_date field to lines. This affects GET /api/lines. This new field records the date(s) when the reinsurer added their signature to the final reinsurance contracts.

2025-12-17

  • Added optional boolean is_not_taken_up query parameter to GET /api/risks.

2025-12-08

  • Added brokerage field to pricing features. This affects /api/risks/{deal_id}/pricing-features and /api/risks/{deal_id}/pricing-features/{company_id}/{stamp_name}/{layer_id}. This new brokerage field consists of both monetary brokerage, which may have 1 amount per currency, and brokerage as a percentage, for which a single amount and basis may be specified.

2025-11-14

  • Added industry_loss_warranty to layer data.

2025-11-10

  • Added /api/risks/{deal_id}/documents endpoint.

2025-11-07

  • Removed deprecated collateral field from layer data.

2025-11-03

  • Added layer_aggregate_limits to layer data.

2025-10-30

  • Added not_taken_up_reason field to layer and deal data.

2025-10-24

  • Made the limit field optional in limit-and-excess and loss warranty data.
  • Made the percent_limit field optional in percent limit-and-excess data.

2025-09-29

  • Added endpoint /risks/{risk_id}/last-changed.

2025-09-18

  • Added /api/layers-v2 endpoint. The difference in the new version is that the status field indicates the stage of the layer (draft, quoting, retracted, fot, bound), and there is a new field is_archived containing the information held in the status field of the old /api/layers endpoint.

2025-06-18

  • Deprecated fields brokerage_rebate and collateral. Users of these fields should use accounting market information instead.

2025-06-04

  • Added market_info field to deal accounting data.
  • Added accounting_market_info field to historical risk endpoint.

2025-05-23

  • Added layer_reporting_requirements field to deal accounting data.

2025-05-20

  • Added premium_basis field to deal subsection data.

2025-05-19

  • Added premium_payment_warranty to deal accounting data.

2025-05-15

  • Added cash_layer_loss_limit field to deal accounting data.

2025-05-06

  • Added new premium basis values: GEP, NEP, and AFP.

2025-03-31

  • Added perils field to layer and coverage data.

2025-03-27

  • Added territorial_scope field to layer and coverage data.

2025-03-21

  • Added subject_premium_basis field to layer data.

2025-02-11

  • Increased detail in custom premium data.

2025-02-04

  • Removed comment field from quote endpoints.

2024-11-15

  • Added endpoints for managing subjectivities, comments, and pricing features.

2024-10-19

  • Added endpoint /api/risks/{risk_id}/audit-trail.
  • Added endpoint /api/risks/historical to backfill with historical risks.

2024-05-13

  • Added layer_original_acquisition_cost to risk accounting data.

2024-05-09

  • Added fot, archived, and bound risk statuses.

2024-04-25

  • Replaced in_market with fot, both as a field and a filter.

2023-11-24

  • Added field duplicates to the risk object, containing risk duplicate information. Limited duplicates visibility to users with the Client role.
  • Added brokerage_splits to the risk accounting object.

2023-11-21

  • Added cover_note_status mandatory field to risk objects.
  • Added cover_note_status as a filter to the risk listing endpoint.

2023-11-06

  • The risk_options/{risk_option_id}/brokerage_rebate endpoint was removed. This functionality has been moved to risks/{risk_id}/accounting

2023-10-31

  • Fields internal_expenses, premium_payment_schedule, cedent_participations, internal_reference were removed. This information has been moved to a new Risk Accounting endpoint and is available only to risk cedent users at the FOT/Bound stages.
  • Field target_premium was renamed to target_reinsurance_premium.
  • Field max_recoverable was removed.

2023-10-13

  • When creating new risks, the following fields have been removed and are no longer accepted: id and cedent_participations.
  • The type of loss_additional_premium was changed to number.

2023-10-10

  • It is now prohibited to specify line_of_business_id for new layers, this information instead being derived from the subline of business.

2023-09-29

  • The /api/territories endpoint was added.
  • The /api/perils endpoint was added.
  • The geography field was replaced with an optional territorial_scope field, which holds two territory codes. This applies to the top-level risk data, subsection data within a risk, and layers.
  • The cession_basis field was added to layer data.
  • Non-proportional layers have new possible values of product: industry_loss_warranty and clash_excess_of_loss.
  • Values of brokerage_basis were changed.
  • The fields annual_aggregate_deductible, annual_aggregate_limit, and occurrence_limit were removed from proportional product data.
  • Non-proportional product data had the following optional fields added: loss_warranties, agg_percent_limits, per_risk_percent_limits, occurrence_agg_percent_limits, and facultative_limits.
  • The type of some optional fields in non-proportional product data was changed from a plain number to a limit object with two fields. This affects agg_limits, catastrophe_agg_limits, clash_agg_limits, occurrence_agg_limits, and per_risk_limits.
  • The premium_payment_schedule field was changed to a list of premium payment schedule objects.
  • A required perils field was added to layer subsection data.
  • An optional field internal_expenses was added to layer data.
  • An optional field peril_coverages was added to coverage data.

Catalogue

Get all non-broker organisations on the platform

This operation gets all organisations registered with the platform that are either cedents or underwriters.

header Parameters
Authorization
required
string
Example: Bearer cfhiqnm.fc1d92f7d91124856443ca045dca91b094bce83b

Bearer-based HTTP authentication. The value should be "Bearer" followed by your API key.

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "success": true
}

Get all geographic regions recognised by the platform

This operation shows all geographic regions as they are defined on the platform.

header Parameters
Authorization
required
string
Example: Bearer exjnffy.dfd2493ddf6642fa9a5e19c126c956c5a6b7071a

Bearer-based HTTP authentication. The value should be "Bearer" followed by your API key.

Supercede-Version
required
string
Example: 2020-10-01

A version indicator required on some endpoints for disambiguation. The value should always be 2020-10-01 in those cases.

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "success": true
}

Get all lines of business recognised by the platform

This operation shows all lines of business as they are defined on the platform.

header Parameters
Authorization
required
string
Example: Bearer egezdtc.9e6e4a02c91b068ddb1ed8fb9778c15da81f6564

Bearer-based HTTP authentication. The value should be "Bearer" followed by your API key.

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "success": true
}

Get all sublines of business available to your organisation

This operation shows all sublines of business available to your organisation.

query Parameters
lob_id
string
Example: lob_id=Motor

Limit listing to the sublines under this parent line of business.

header Parameters
Authorization
required
string
Example: Bearer ziptznq.b6783f78521f7af04463ef0b3a8321fdd39bc57d

Bearer-based HTTP authentication. The value should be "Bearer" followed by your API key.

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "success": true
}

Get all perils recognised by the platform

This operation shows all perils as they are defined on the platform.

header Parameters
Authorization
required
string
Example: Bearer dykjiif.4653aa30e77006957692c246cc7979d85f49cfb3

Bearer-based HTTP authentication. The value should be "Bearer" followed by your API key.

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "success": true
}

Get all territories recognised by the platform

This operation shows all territories which can be used in deal definitions.

header Parameters
Authorization
required
string
Example: Bearer ismbpaa.cbe81d35143e9744cf8b9ee2137cf44325b288df

Bearer-based HTTP authentication. The value should be "Bearer" followed by your API key.

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "success": true
}

Entities

Get the name of a company

This operation returns the name of the company with the given company_id.

path Parameters
company_id
required
string <uuid>
Example: 689291b5-c43e-4cb5-c7b5-a9715ee0c998

The ID of the company for which the name is desired.

header Parameters
Authorization
required
string
Example: Bearer xqjkmxp.3a95570e5d9782b43b3f39b60c1f15696266177c

Bearer-based HTTP authentication. The value should be "Bearer" followed by your API key.

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true
}

Get information about a stamp.

Retrieve more information about a stamp on the Supercede platform, such as mappings to OpenTWINS. (TK examples for lors and opentwins)

path Parameters
stamp_name
required
string (Stamp name)
Example: LLOYD%27S%20SYNDICATE%208392

The URL encoded name of the stamp for which information is desired.

header Parameters
Authorization
required
string
Example: Bearer molkvvz.cd993bc32b634d662e7e578b0f8506d0c6c6ab51

Bearer-based HTTP authentication. The value should be "Bearer" followed by your API key.

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true
}

Get information about a user

This operation returns email and company details about the user with the given user_id.

path Parameters
user_id
required
string <uuid>
Example: abd992f4-5ec7-e600-cb5f-9d68a2d608cc

The ID of the user for which information is desired.

header Parameters
Authorization
required
string
Example: Bearer nbbzaax.b0b063e9f7c471acd6de694e7c93d919903065fc

Bearer-based HTTP authentication. The value should be "Bearer" followed by your API key.

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true
}

Search users matching criteria

This operation returns the user objects that match the given criteria.

query Parameters
email
required
string <email>
Example: email=zoe@quartzassurance.com

The email of the user that you want to find. This must match exactly for a result to be returned.

header Parameters
Authorization
required
string
Example: Bearer dmihoeu.85792dde70822548e5fec1ddb177778420412bab

Bearer-based HTTP authentication. The value should be "Bearer" followed by your API key.

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "success": true
}

Deals

Discover all accessible deals.

List the deals you have access to.

query Parameters
year
integer <int64> (Deal year)
Example: year=2025
status
string
Enum: "archived" "locked" "draft" "quoting" "retracted" "fot" "in_market" "bound"
Example: status=bound
cover_note_status
string (Cover note status)
Enum: "submitted" "pending"
Example: cover_note_status=submitted
is_not_taken_up
boolean (Deal hasn't been taken up)
Example: is_not_taken_up=true
header Parameters
Authorization
required
string
Example: Bearer ulepbbf.e7373fbb55e1147b7021722a107797a4e282e847

Bearer-based HTTP authentication. The value should be "Bearer" followed by your API key.

Supercede-Version
required
string
Example: 2020-10-01

A version indicator required on some endpoints for disambiguation. The value should always be 2020-10-01 in those cases.

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "success": true
}

Create a new deal.

Create a new draft deal.

header Parameters
Authorization
required
string
Example: Bearer ulepbbf.e7373fbb55e1147b7021722a107797a4e282e847

Bearer-based HTTP authentication. The value should be "Bearer" followed by your API key.

Supercede-Version
required
string
Example: 2020-10-01

A version indicator required on some endpoints for disambiguation. The value should always be 2020-10-01 in those cases.

Request Body schema: application/json
class_of_business
required
string (Class of business)
Enum: "treaty" "facultative" "retrocession"

Class of business

clients
Array of strings
contract_reference
string (Contract reference)

A reference to the contract corresponding to this deal.

description
string

A description of this deal.

required
Continuous deal (object) or Bounded deal (object)
inception
required
string <date-time> (Inception date)

Inception date

original_insured
string (Original insured for a facultative deal.)
object (Deal Premium Income)

The specification of premium income for a deal.

Array of objects (Program level feature)
program_name
required
string

The name of this deal.

Array of objects (Section)
object (Territorial scope)

Contains lists of included and excluded territories.

Responses

Request samples

Content type
application/json
{
  • "class_of_business": "retrocession",
  • "clients": [
    ],
  • "contract_reference": null,
  • "description": "For our earthquake program in Santiago, first party physical damage is covered up to EUR 5m, with a combined single limit of $25m over all property policies for California earthquake exposure.",
  • "expiration": {
    },
  • "inception": "2025-01-01T00:00:00Z",
  • "original_insured": null,
  • "premium_income": {
    },
  • "program_level_features": [
    ],
  • "program_name": "Specialty Lines Quota",
  • "sections": [
    ],
  • "territorial_scope": {
    }
}

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true
}

Get information about a deal.

Get information about a deal.

path Parameters
deal_id
required
string <uuid>
Example: ee28e937-e2a2-391a-8b29-5fd1d48a3c9c

The ID of the deal to get information from

header Parameters
Authorization
required
string
Example: Bearer yiposxq.c04fcf6d7086601f1ae44b931d7b607b65419c3e

Bearer-based HTTP authentication. The value should be "Bearer" followed by your API key.

Supercede-Version
required
string
Example: 2020-10-01

A version indicator required on some endpoints for disambiguation. The value should always be 2020-10-01 in those cases.

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true
}

Deals > Audit Trail

Get a timestamp for when this deal was last changed.

This corresponds to the timestamp of the most recent event in the audit trail for the deal.

path Parameters
deal_id
required
string <uuid>
Example: 8b42b1e5-7950-dd35-d054-d1fae9972a68

The ID of the deal to get the last changed timestamp for.

header Parameters
Authorization
required
string
Example: Bearer rjjcebr.b5d550d1616a2ec9a5674b4b238d8b71247bd6aa

Bearer-based HTTP authentication. The value should be "Bearer" followed by your API key.

Responses

Response samples

Content type
application/json
"2019-08-24T14:15:22Z"

Get the audit trail for a deal.

Retrieves all audit trail events associated with the specified deal.

path Parameters
deal_id
required
string <uuid>
Example: 9781a128-297d-b16a-a8a5-7815b00f0dcf

The ID of the deal to get the audit trail for.

query Parameters
latestTimestamp
boolean
Example: latestTimestamp=false

This parameter is deprecated. Use the /api/risks/{deal_id}/last-change API endpoint instead.

header Parameters
Authorization
required
string
Example: Bearer xeghccd.31c82f4753d2a432f6b0dc2ab88ead91612bc3b3

Bearer-based HTTP authentication. The value should be "Bearer" followed by your API key.

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "success": true
}

Deals > Accounting

Get deal accounting information.

path Parameters
deal_id
required
string <uuid>
Example: 4a20234d-57e6-46d2-e33f-67349843feab

The ID of the deal to which the pricing features are applied

header Parameters
Authorization
required
string
Example: Bearer zlzwiin.1347b7f05670162fc2bd6d1857ede7f84fd6af6e

Bearer-based HTTP authentication. The value should be "Bearer" followed by your API key.

Supercede-Version
required
string
Example: 2020-10-01

A version indicator required on some endpoints for disambiguation. The value should always be 2020-10-01 in those cases.

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true
}

Put deal accounting information.

It should be noted that a complete rewrite of accounting information occurs, and not a partial one. Therefore, if any information was not specified, then this information is taken as null.

path Parameters
deal_id
required
string <uuid>
Example: dafee123-1ab2-7ca5-dd04-4fe6658ef961

The ID of the deal to which the pricing features are applied

header Parameters
Authorization
required
string
Example: Bearer zlzwiin.1347b7f05670162fc2bd6d1857ede7f84fd6af6e

Bearer-based HTTP authentication. The value should be "Bearer" followed by your API key.

Supercede-Version
required
string
Example: 2020-10-01

A version indicator required on some endpoints for disambiguation. The value should always be 2020-10-01 in those cases.

Request Body schema: application/json
Array of objects (Brokerage split)
Array of objects (Layer cash loss limits)
Array of objects (Cedent participations in a specific layer)
Array of objects (Layer internal expenses)
Array of objects (Layer internal reference)
Array of objects (Layer max recoverable)
Array of objects (Layer original acqusition cost)
Array of Proportional layer reporting requirements data (object) or Non-Proportional layer reporting requirements data (object)
Array of objects (Accounting market information)
Array of objects (Premium payment)
premium_payment_warranty
integer <int64> (Integer value)

Premium payment warranty value. Must be in range from 0 to 999 if present.

Responses

Request samples

Content type
application/json
{
  • "brokerage_splits": [
    ],
  • "layer_cash_loss_limit": [
    ],
  • "layer_cedent_participations": [
    ],
  • "layer_internal_expenses": [
    ],
  • "layer_internal_references": [
    ],
  • "layer_max_recoverables": [
    ],
  • "layer_original_acquisition_costs": [
    ],
  • "layer_reporting_requirements": [
    ],
  • "market_info": [
    ],
  • "premium_payment_schedule": [
    ],
  • "premium_payment_warranty": 94
}

Response samples

Content type
application/json
{
  • "data": [ ],
  • "success": true
}

Deals > Documents

Discover all accessible documents uploaded to a Deal.

List the documents you have access to.

path Parameters
deal_id
required
string <uuid>
Example: 9704182d-8a4d-73f4-05fa-b47fdd5bb6af

The ID of the deal

header Parameters
Authorization
required
string
Example: Bearer pnaovql.06fc141d73b51df86bdde950c958dd9841c81be9

Bearer-based HTTP authentication. The value should be "Bearer" followed by your API key.

Responses

Response samples

Content type
application/json
{}

Deals > Layers

Get all deal layers (deprecated).

Returns a list of deal layers available to the user.This endpoint is deprecated, please use GET /layers-v2 instead.

query Parameters
risk_id
string <uuid>
Example: risk_id=d0612472-400b-9480-13ff-67f234b43ca7

Returns only layers for the deal with the specified ID.

status
string
Enum: "archived" "locked" "draft" "quoting" "retracted" "fot" "in_market" "bound"
Example: status=draft

Returns only layers for deals with the given status. Note that "in_market" is deprecated and will be removed in the next API version; please use fot instead.

year
integer <int64>
Example: year=2021

Returns only layers for deals with the specified inception/expiration year.

risk_inception
string <date>
Example: risk_inception=2018-01-01

Returns only layers for deals with the specified inception date.

risk_expiration
string <date>
Example: risk_expiration=2018-12-31

Returns only layers for deals with the specified expiration date.

header Parameters
Authorization
required
string
Example: Bearer eipyeyn.8fdc004e30777961940f1a15aa9c67520fdf6afd

Bearer-based HTTP authentication. The value should be "Bearer" followed by your API key.

Supercede-Version
required
string
Example: 2020-10-01

A version indicator required on some endpoints for disambiguation. The value should always be 2020-10-01 in those cases.

Range
string
Example: id bface0b9-a9b0-4c2a-86dc-100c3a47310e;limit 10;offset 1;order asc

Control the range of results in server's response. Header value consists of the following semicolon-separated fields: - is the name of the unit to paginate by, typically "id". - the value of the first element should have. limit - how many elements to include in the response. offset - starting from the , how many elements to skip before starting to include elements, typically 1. order [asc/desc] - control the way results are sorted.

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "success": true
}

Create deal layer.

This operation creates a deal layer based on the data provided.

header Parameters
Authorization
required
string
Example: Bearer eipyeyn.8fdc004e30777961940f1a15aa9c67520fdf6afd

Bearer-based HTTP authentication. The value should be "Bearer" followed by your API key.

Supercede-Version
required
string
Example: 2020-10-01

A version indicator required on some endpoints for disambiguation. The value should always be 2020-10-01 in those cases.

Request Body schema: application/json
object (Layer brokerage)
contract_reference_override
string

A reference of the contract.

Array of objects (Deal layer coverage)
object (Layer custom premium)
Array of objects (Deal layer Lloyds code)
name
required
string

Deal layer name

object (Deal layer order)
product
required
string
Enum: "aggregate_excess_of_loss" "catastrophe_excess_of_loss" "clash_excess_of_loss" "excess_of_loss_ratio" "facultative_excess_of_loss" "facultative_obligatory" "industry_loss_warranty" "quota_share" "risk_excess_of_loss" "surplus"

Deal layer product (contract type).

required
Proportional layer product data (object) or Non-Proportional layer product data (object)
object (Layer rate)
reinsurance_period
string
Enum: "yoa_period" "lod_period" "pid_period" "rad_period"

Deal layer reinsurance period.

risk_id
required
string <uuid>

Supercede-internal ID of the deal.

object (Layer income)
subject_premium_basis
string
Enum: "gwp" "nwp" "gnwp" "gnep" "gnpi" "gnepi" "gep" "nep" "afp"

Deal layer subject premium basis.

object (Money)

A monetary value representing the target reinsurance premium.

object (Territorial scope)

Contains lists of included and excluded territories.

Responses

Request samples

Content type
application/json
{
  • "brokerage": {
    },
  • "contract_reference_override": "AX25SPR0027",
  • "coverages": [
    ],
  • "custom_premium": {
    },
  • "lloyds_codes": [
    ],
  • "name": "Dental prosthetics for monitor lizards",
  • "order": {
    },
  • "product": "catastrophe_excess_of_loss",
  • "product_data": {
    },
  • "rate": {
    },
  • "reinsurance_period": "lod_period",
  • "risk_id": "fab396c0-872a-4cf5-9b12-c155873f89ec",
  • "subject_income": {
    },
  • "subject_premium_basis": "gnwp",
  • "target_reinsurance_premium": {
    },
  • "territorial_scope": {
    }
}

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true
}

Get all deal layers.

Returns a list of deal layers available to the user.

query Parameters
risk_id
string <uuid>
Example: risk_id=655bbd87-c609-e81f-31e1-fc619ba44dea

Returns only layers for the deal with the specified ID.

status
string
Enum: "archived" "locked" "draft" "quoting" "retracted" "fot" "in_market" "bound"
Example: status=bound

Returns only layers for deals with the given status. Note that "in_market" is deprecated and will be removed in the next API version; please use fot instead.

year
integer <int64>
Example: year=2021

Returns only layers for deals with the specified inception/expiration year.

risk_inception
string <date>
Example: risk_inception=2018-01-01

Returns only layers for deals with the specified inception date.

risk_expiration
string <date>
Example: risk_expiration=2018-12-31

Returns only layers for deals with the specified expiration date.

header Parameters
Authorization
required
string
Example: Bearer szckjot.8826694dc22f2482a46cc6937e4768274c573a32

Bearer-based HTTP authentication. The value should be "Bearer" followed by your API key.

Range
string
Example: id 352ea0d1-4cfa-4c01-883a-97e3d01407e0;limit 10;offset 1;order asc

Control the range of results in server's response. Header value consists of the following semicolon-separated fields: - is the name of the unit to paginate by, typically "id". - the value of the first element should have. limit - how many elements to include in the response. offset - starting from the , how many elements to skip before starting to include elements, typically 1. order [asc/desc] - control the way results are sorted.

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "success": true
}

Get the details of a specific deal layer.

This operation returns a deal layer given by layer_id.

path Parameters
layer_id
required
string <uuid>
Example: 936276a3-fa27-8738-43c3-2cd8694aea6a

The ID of the requested layer.

header Parameters
Authorization
required
string
Example: Bearer ovkouhe.f5f15d150bee457843a1bc5e415418d6d29b9a45

Bearer-based HTTP authentication. The value should be "Bearer" followed by your API key.

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true
}

Deals > Quotes

Discover all quotes on a deal layer.

This operation returns all quotes of the deal layer given by layer_id.

query Parameters
layer_id
required
string <uuid>
Example: layer_id=15ab5f74-9c13-7fcb-9597-a196fede32d1

The ID of the deal layer for which the quoptes are desired.

header Parameters
Authorization
required
string
Example: Bearer yqatqwh.415e72c919b4528255d46964f8dda274eee2c84e

Bearer-based HTTP authentication. The value should be "Bearer" followed by your API key.

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "success": true
}

Create a quote for a deal layer.

This operation creates a quote on a deal layer based on the data provided.

header Parameters
Authorization
required
string
Example: Bearer yqatqwh.415e72c919b4528255d46964f8dda274eee2c84e

Bearer-based HTTP authentication. The value should be "Bearer" followed by your API key.

Request Body schema: application/json
ceding_commission
number [ 0 .. 100 ]

Ceding commission percentage value.

expiry_date
string <date>

Quote expiry date.

layer_id
required
string <uuid>

A uuid representing the Supercede-internal ID of the layer for which the quote is provided.

line_size
number [ 0 .. 100 ]

Line size percentage value.

name
required
string

Quote name.

object (Money)

Reinsurance premium amount.

rate_on_line
number [ 0 .. 100 ]

Quote rate-on-line percentage value.

rate_on_premium
number [ 0 .. 100 ]

Quote rate percentage value.

reference
string

Internal underwriter quote reference.

stamp_name
required
string

Underwriting company stamp name.

Responses

Request samples

Content type
application/json
{
  • "ceding_commission": 30.850436064786603,
  • "expiry_date": "1901-04-28",
  • "layer_id": "2f2c6fe5-34ae-405e-b61a-379c472d13f9",
  • "line_size": 29.72105403590942,
  • "name": "Very generous quote",
  • "premium": {
    },
  • "rate_on_line": 66.13532042072615,
  • "rate_on_premium": 18.632298897243736,
  • "reference": "aviation_qt_m01",
  • "stamp_name": "LLOYD'S SYNDICATE 8392"
}

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true
}

Retract a deal from Quoting or FOT stage

path Parameters
deal_id
required
string <uuid>
Example: 437eed9e-121d-4281-5aae-2ab9a55afe63

The ID of the deal

header Parameters
Authorization
required
string
Example: Bearer moajffm.8af25f6c22a89d323ca3065cefa445f6d5d97afc

Bearer-based HTTP authentication. The value should be "Bearer" followed by your API key.

Responses

Response samples

Content type
application/json
{
  • "data": null,
  • "success": true
}

Move a draft deal to the quoting stage.

path Parameters
deal_id
required
string <uuid>
Example: 9f3c468c-f859-a8bb-f0f3-0eafffe80270

The ID of the deal

header Parameters
Authorization
required
string
Example: Bearer ztmzhct.621fc73c62bc5e3c60e9090af459815af3e72559

Bearer-based HTTP authentication. The value should be "Bearer" followed by your API key.

Responses

Response samples

Content type
application/json
{
  • "data": null,
  • "success": true
}

Deals > Lines

Get the lines of a deal layer

This operation returns all lines of the deal layer given by layer_id.

query Parameters
layer_id
required
string <uuid>
Example: layer_id=0daccc10-b73f-7751-632a-5d6b17236945

The ID of the deal layer for which the lines are desired.

header Parameters
Authorization
required
string
Example: Bearer riiejtq.b0518dd85748cd3395442a50d440090e92fc8e13

Bearer-based HTTP authentication. The value should be "Bearer" followed by your API key.

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "success": true
}

Deals > Market list

Set the market list for a deal.

This operation allows you to overwrite the market list for the deal given by risk_id.

query Parameters
risk_id
required
string <uuid>
Example: risk_id=f2669f8b-ec12-df89-bdde-90109c1a819e

The ID of the deal for which this market list should apply.

header Parameters
Authorization
required
string
Example: Bearer tvinjmk.7f03a3d0b227ac80c37a357f97a16d808ab65653

Bearer-based HTTP authentication. The value should be "Bearer" followed by your API key.

Request Body schema: application/json
Array
company_id
required
string <uuid>

An uuid representing the Supercede-internal ID of the company.

required
Array of objects (Deal layer)
required
Array of objects (User)

Responses

Request samples

Content type
application/json
[
  • {
    },
  • {
    },
  • {
    }
]

Response samples

Content type
application/json
{
  • "error": {
    },
  • "success": false
}

Deals > Subjectivities

Get all comments on a deal.

Returns a list of all comments attached to a deal.

path Parameters
deal_id
required
string <uuid>
Example: e2f614d3-79a5-eaab-62d6-ed6db7e7587d

The ID of the deal for which comments are requested.

header Parameters
Authorization
required
string
Example: Bearer dtcjnnx.ccba8a0f48a101886f5673b39a31d2895361e969

Bearer-based HTTP authentication. The value should be "Bearer" followed by your API key.

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true
}

Add comments on a deal.

Allows comments to be added to a deal.

path Parameters
deal_id
required
string <uuid>
Example: 5db950cb-00d4-18c4-3ac2-dda4890a90e6

The ID of the deal to which comments should be added.

header Parameters
Authorization
required
string
Example: Bearer dtcjnnx.ccba8a0f48a101886f5673b39a31d2895361e969

Bearer-based HTTP authentication. The value should be "Bearer" followed by your API key.

Request Body schema: application/json
required
Array of objects (Comment)

Responses

Request samples

Content type
application/json
{
  • "comments": [
    ]
}

Response samples

Content type
application/json
{
  • "data": [ ],
  • "success": true
}

Edit a comment on a deal.

Allows for submitting new comment data that should replace the existing data.

path Parameters
deal_id
required
string <uuid>
Example: 9a9efa93-e32c-1ce3-2a6c-ba4cf38089df

The ID of the deal on which this comment is made.

comment_id
required
string <uuid>
Example: b75a8629-bd5d-7c16-8197-eb7b959e0141

The ID of the comment to be updated.

header Parameters
Authorization
required
string
Example: Bearer qdzqfnm.982eb466c6ce61923271d4189e99a32ee0170391

Bearer-based HTTP authentication. The value should be "Bearer" followed by your API key.

Request Body schema: application/json
company_id
string <uuid>

An UUID representing the Supercede-internal ID of the company that created the comment. Shall not be included when creating comments as an underwriter.

content
required
string

The content of this comment.

layer_ids
required
Array of strings <uuid> (Layer ID) [ items <uuid > ]
stamps
required
Array of strings (Stamp)

Responses

Request samples

Content type
application/json
{
  • "company_id": "f56add31-79ca-4cf6-9c24-a0de08f52013",
  • "content": "Yeah, we discussed internally and we still think this is the best structure.",
  • "layer_ids": [
    ],
  • "stamps": [
    ]
}

Response samples

Content type
application/json
{
  • "data": [ ],
  • "success": true
}

Delete a comment from a deal.

Allows for removing a comment from a deal.

path Parameters
deal_id
required
string <uuid>
Example: 11ae1611-934e-a0d6-f23e-576045a95899

The ID of the deal on which this comment is made.

comment_id
required
string <uuid>
Example: b75a8629-bd5d-7c16-8197-eb7b959e0141

The ID of the comment to be deleted.

header Parameters
Authorization
required
string
Example: Bearer qdzqfnm.982eb466c6ce61923271d4189e99a32ee0170391

Bearer-based HTTP authentication. The value should be "Bearer" followed by your API key.

Responses

Response samples

Content type
application/json
{
  • "error": {
    },
  • "success": false
}

Get deal pricing features.

This operation returns all available pricing fratures of the deal given by deal_id.

path Parameters
deal_id
required
string <uuid>
Example: a4d44019-dd32-7441-922b-1aa5ac4789c2

The ID of the deal to which the pricing features are applied.

header Parameters
Authorization
required
string
Example: Bearer tfgmsys.e582e2936276fb6eff22466f12e9fd509ce9af30

Bearer-based HTTP authentication. The value should be "Bearer" followed by your API key.

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true
}

Create or update pricing features for a specific stamp and layer.

This operation creates new or updates existing pricing fratures given by company_id, stamp_name and layer_id.

path Parameters
risk_id
required
string <uuid>
Example: b4f14520-5cda-112d-d914-e327e20a0edf

The ID of the deal to which the pricing features are applied.

company_id
required
string <uuid>
Example: ed406ac8-beef-3d80-7506-196bee06aa09

The ID of the company to which the pricing features are applied.

stamp_name
required
string <non-empty string> .+
Example: Stamp_title_ABC

The stamp title to which the pricing features are applied.

layer_id
required
string <uuid>
Example: f19b97df-0d57-cd6f-6c29-8de942221e4a

The ID of the layer to which the pricing features are applied.

header Parameters
Authorization
required
string
Example: Bearer gplztto.f1db794d312176679350d7cf2624b632dd10c3a0

Bearer-based HTTP authentication. The value should be "Bearer" followed by your API key.

Supercede-Version
required
string
Example: 2020-10-01

A version indicator required on some endpoints for disambiguation. The value should always be 2020-10-01 in those cases.

Request Body schema: application/json
One of
required
object (Proportional layer pricing features data)

An object carrying pricing features data for the proportional layer.

tag
required
string

This is always "pricing_features_prop_api" value.

Responses

Request samples

Content type
application/json
Example
{
  • "contents": {
    },
  • "tag": "pricing_features_prop_api"
}

Response samples

Content type
application/json
{
  • "data": [ ],
  • "success": true
}

Delete pricing features for a specific stamp and layer.

This operation deletes pricing fratures given by company_id, stamp_name and layer_id.

path Parameters
risk_id
required
string <uuid>
Example: b4f14520-5cda-112d-d914-e327e20a0edf

The ID of the deal from which the pricing features need to be removed.

company_id
required
string <uuid>
Example: ed406ac8-beef-3d80-7506-196bee06aa09

The ID of the company from which the pricing features need to be removed.

stamp_name
required
string <non-empty string> .+
Example: Stamp_title_ABC

The stamp title from which the pricing features need to be removed.

layer_id
required
string <uuid>
Example: f19b97df-0d57-cd6f-6c29-8de942221e4a

The ID of the layer from which the pricing features need to be removed.

header Parameters
Authorization
required
string
Example: Bearer gplztto.f1db794d312176679350d7cf2624b632dd10c3a0

Bearer-based HTTP authentication. The value should be "Bearer" followed by your API key.

Supercede-Version
required
string
Example: 2020-10-01

A version indicator required on some endpoints for disambiguation. The value should always be 2020-10-01 in those cases.

Responses

Response samples

Content type
application/json
{
  • "error": {
    },
  • "success": false
}

Get all subjectivities on a deal.

Returns a list of all subjectivities attached to a deal.

path Parameters
deal_id
required
string <uuid>
Example: 9feb30e7-413b-8a48-5b56-4793660a9e20

The ID of the deal for which subjectivities are requested.

header Parameters
Authorization
required
string
Example: Bearer zfkotut.f939095e1df6f0e8355a7bf6a8b6042747824f39

Bearer-based HTTP authentication. The value should be "Bearer" followed by your API key.

Supercede-Version
required
string
Example: 2020-10-01

A version indicator required on some endpoints for disambiguation. The value should always be 2020-10-01 in those cases.

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true
}

Add subjectivities for review.

Allows subjectivities to be added to a deal.

path Parameters
deal_id
required
string <uuid>
Example: 4ef3e103-6847-378d-05c9-1e04db7ea2de

The ID of the deal for which subjectivities are requested.

header Parameters
Authorization
required
string
Example: Bearer zfkotut.f939095e1df6f0e8355a7bf6a8b6042747824f39

Bearer-based HTTP authentication. The value should be "Bearer" followed by your API key.

Supercede-Version
required
string
Example: 2020-10-01

A version indicator required on some endpoints for disambiguation. The value should always be 2020-10-01 in those cases.

Request Body schema: application/json
required
Array of objects (Subjectivity)

Responses

Request samples

Content type
application/json
{
  • "subjectivities": [
    ]
}

Response samples

Content type
application/json
{
  • "data": [ ],
  • "success": true
}

Edit subjectivity content.

Set the content of a subjectivity to something new.

path Parameters
deal_id
required
string <uuid>
Example: 6ceb3aa4-0174-9237-96ff-44bcfd0f0b12

The ID of the deal to which the subjectivity applies.

subjectivity_id
required
string <uuid>
Example: ded61307-e4cd-4d45-9ae5-93ff66908e08

The ID of the subjectivity to be edited.

header Parameters
Authorization
required
string
Example: Bearer mbllvkv.0c90d61a6f9d442bcf32f12ba2418503b4c445b8

Bearer-based HTTP authentication. The value should be "Bearer" followed by your API key.

Supercede-Version
required
string
Example: 2020-10-01

A version indicator required on some endpoints for disambiguation. The value should always be 2020-10-01 in those cases.

Request Body schema: application/json
content
required
string

The content that should replace the current content of this subjectivity.

Responses

Request samples

Content type
application/json
{
  • "content": "The brokerage seems unnecessarily high. It might be a typo."
}

Response samples

Content type
application/json
{
  • "data": [ ],
  • "success": true
}

Accept subjectivity for deal.

Transitions a pending subjectivity into the accepted state.

path Parameters
deal_id
required
string <uuid>
Example: c2c80c69-ea2b-7318-d14c-90f5c65ff680

The ID of the deal to which the subjectivity applies.

subjectivity_id
required
string <uuid>
Example: 071c184d-8afd-9122-c2df-4e080b6d0493

The ID of the subjectivity to be accepted.

header Parameters
Authorization
required
string
Example: Bearer jyrmonz.bec620dc39b28bad48ecf4bb654dab50af616f64

Bearer-based HTTP authentication. The value should be "Bearer" followed by your API key.

Supercede-Version
required
string
Example: 2020-10-01

A version indicator required on some endpoints for disambiguation. The value should always be 2020-10-01 in those cases.

Responses

Response samples

Content type
application/json
{
  • "data": [ ],
  • "success": true
}

Reject subjectivity for deal.

Transitions a pending subjectivity into the rejected state.

path Parameters
deal_id
required
string <uuid>
Example: ea91eb0d-3d85-1242-9f99-0282b88e3a48

The ID of the deal to which the subjectivity applies.

subjectivity_id
required
string <uuid>
Example: 540ebf8d-a33b-71e2-9510-1c5138ab64b9

The ID of the subjectivity to be rejected.

header Parameters
Authorization
required
string
Example: Bearer rygnzmi.081ae9e3ff57d5b2d9e83d111e86c8ef03e1c1b0

Bearer-based HTTP authentication. The value should be "Bearer" followed by your API key.

Supercede-Version
required
string
Example: 2020-10-01

A version indicator required on some endpoints for disambiguation. The value should always be 2020-10-01 in those cases.

Responses

Response samples

Content type
application/json
{
  • "data": [ ],
  • "success": true
}

Retract subjectivity for deal.

Transitions a pending subjectivity into the retracted state.

path Parameters
deal_id
required
string <uuid>
Example: 5e46b184-8efc-1c8c-5c98-4355cb32d66b

The ID of the deal to which the subjectivity applies.

subjectivity_id
required
string <uuid>
Example: 0c9b2ef1-f5d1-9db5-10d4-da4730be200c

The ID of the subjectivity to be retracted.

header Parameters
Authorization
required
string
Example: Bearer nvhnhsi.1cf98d417d67f91ed08754eb48a5e575b9e88c0f

Bearer-based HTTP authentication. The value should be "Bearer" followed by your API key.

Supercede-Version
required
string
Example: 2020-10-01

A version indicator required on some endpoints for disambiguation. The value should always be 2020-10-01 in those cases.

Responses

Response samples

Content type
application/json
{
  • "data": [ ],
  • "success": true
}

Testing > Echo

Test the API connectivity.

Call this endpoint with valid JSON in the request body to see if the API responds back with a non-failure status code.

header Parameters
Authorization
required
string
Example: Bearer poocknq.adbeb534568cffea87a11bd1af38600c4f4e57e5

Bearer-based HTTP authentication. The value should be "Bearer" followed by your API key.

Request Body schema: application/json
message
string

An example key–value pair in an object.

Responses

Request samples

Content type
application/json
{
  • "message": "An example key-value pair in an object."
}

Response samples

Content type
application/json
{
  • "data": {
    },
  • "success": true
}